.modal-counter-cart {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

.modal-counter-cart.active {
    display: block;
}

.mcc-backdrop {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.6);
}

.mcc-content {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #ffffff;
    color: #000;
    padding: 25px;
    border-radius: 12px;
    width: 90%;
    max-width: 380px;
}

.mcc-close {
    position: absolute;
    right: 12px;
    top: 12px;
    font-size: 22px;
    background: none;
    border: none;
    color: #000;
    cursor: pointer;
}

.mcc-counter {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    margin: 20px 0;
}

.mcc-btn {
    width: 40px;
    height: 40px;
    background: #e0e0e0;
    color: #000;
    font-size: 30px;
    cursor: pointer;
    display: flex;
    border: none !important;
    justify-content: center;
    align-items: center;
   
}

.text {
     transform: translateY(-2px);
}

#mcc-qty {
    width: 60px;
    height: 40px;
    background: #ffffff;
    color: #000;
    text-align: center;
    font-size: 18px;
}
.mcc-body{
    text-align: center;
}

.mcc-add-cart {
    width: 100%;
    padding: 12px;
    border: none;
    background: rgb(255, 123, 0);
    color: #fff;
    font-size: 17px;
    border-radius: 10px;
    cursor: pointer;
}

 .mcc-add-cart:hover {
        background: #e86d00;
        transform: translateY(-2px);
      }


      .mcc-extra {
    margin-top: 15px;
    display: flex;
    flex-direction: column;
}

.mcc-extra label {
    font-size: 14px;
    margin-bottom: 6px;
    color: #333;
}

#mcc-comment {
    width: 100%;
    min-height: 65px;
    resize: vertical;
    padding: 10px;
    font-size: 14px;
    border-radius: 8px;
    border: 1px solid #ddd;
    outline: none;
}

#mcc-comment:focus {
    border-color: #6c63ff;
    box-shadow: 0 0 4px rgba(108, 99, 255, 0.3);
}


.mcc-btn:disabled{
  opacity: .35;
  cursor: not-allowed;
  filter: grayscale(1);
}

.mcc-head{ display:flex; gap:10px; align-items:center; margin-bottom:10px; }
.mcc-img{ width:46px; height:46px; border-radius:12px; object-fit:cover; flex:0 0 auto; }
.mcc-product-name{ font-size:18px; font-weight:800; line-height:1.2; word-break:break-word; }
